org.apache.uima.aae.error

## Interface ErrorResult

- All Superinterfaces:
    Serializable

      public interface ErrorResult
      extends Serializable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComponentKeyPath(String aComponentKeyPath)`
    `void` | `addComponentKeyPath(String aComponentKeyPath, boolean terminated, boolean disabled)`
    `ErrorResultComponentPath` | `getComponentKeyPath()` Returns a path consisting of a list of component key names
    `Throwable` | `getRootCause()` Returns the underlying root cause first reported as an error
    `ErrorResultTDs` | `getTDs()` Returns a collection of paths to the components that were terminated or disabled
    `void` | `setDisabled()`
    `void` | `setRootCause(Throwable aRootCause)`
    `void` | `setTerminated()`
    `boolean` | `wasDisabled()` Returns true if any disabling occured with this error
    `boolean` | `wasTerminated()` Returns true is any termination occurred with this error

- - ### Method Detail

    - #### setRootCause

          void setRootCause(Throwable aRootCause)

    - #### addComponentKeyPath

          void addComponentKeyPath(String aComponentKeyPath)

    - #### addComponentKeyPath

          void addComponentKeyPath(String aComponentKeyPath,
                                   boolean terminated,
                                   boolean disabled)

    - #### setTerminated

          void setTerminated()

    - #### setDisabled

          void setDisabled()

    - #### getRootCause

          Throwable getRootCause()

      Returns the underlying root cause first reported as an error
      Returns:
        Throwable

    - #### getComponentKeyPath

          ErrorResultComponentPath getComponentKeyPath()

      Returns a path consisting of a list of component key names
      Returns:
        a path consisting of a list of component key names

    - #### wasTerminated

          boolean wasTerminated()

      Returns true is any termination occurred with this error
      Returns:
        true is any termination occurred with this error

    - #### wasDisabled

          boolean wasDisabled()

      Returns true if any disabling occured with this error
      Returns:
        true if any disabling occured with this error

    - #### getTDs

          ErrorResultTDs getTDs()

      Returns a collection of paths to the components that were terminated or disabled
      Returns:
        a collection of paths to the components that were terminated or disabled

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.